Passa al contenuto principale

ObjectStorageBucketFirewallEntryResponse

Successful response with one ObjectStorageBucketFirewallEntry

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Entry of the firewall of a bucket: when the bucket has entries, the requests from other addresses are denied

entry_idintegerrequired
object_storage_idintegerrequired

Id of the object storage (GET /api/v3/object-storages/{object_storage_id})

bucket_idintegerrequired

Id of the bucket (GET /api/v3/object-storages/{object_storage_id}/buckets/{bucket_id})

ipstring | nullnullablerequired

IPv4 or IPv6 address, or subnet in CIDR notation, allowed to access the bucket

activeboolean | nullnullablerequired

Whether the entry is active: removed entries are not returned

date_createddate-timenullablerequired
metarequired

Always null: only the paginated lists have a meta

Constant value: null
ObjectStorageBucketFirewallEntryResponse
{
"error": 0,
"message": "string",
"data": {
"entry_id": 0,
"object_storage_id": 0,
"bucket_id": 0,
"ip": "string",
"active": true,
"date_created": "2024-07-29T15:51:28.071Z"
}
}